<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.125
Name: R_AssignedEntityNL [confirmable]
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (optioneel) en een Organisatie-naam (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000">
   <title>R_AssignedEntityNL [confirmable]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]
Item: (R_AssignedEntityNL-confirmable)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']
Item: (R_AssignedEntityNL-confirmable)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']"
         id="d106e23202-false-d324375e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'])&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:assignedOrganization)&gt;=1 and not(hl7:assignedOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:assignedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:assignedOrganization)&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:assignedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']
Item: (R_AssignedEntityNL-confirmable)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']"
         id="d106e23228-false-d324538e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.125')">(R_AssignedEntityNL-confirmable): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.125' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(R_AssignedEntityNL-confirmable): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:id
Item: (R_AssignedEntityNL-confirmable)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:id"
         id="d106e23238-false-d324653e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:assignedOrganization
Item: (R_AssignedEntityNL-confirmable)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:assignedOrganization"
         id="d106e23247-false-d324731e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:assignedOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']/hl7:assignedOrganization/hl7:name"
         id="d106e23254-false-d324808e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.125-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
</pattern>
